import React from 'react'
import { Field, reduxForm } from 'redux-form';

import './login.scss';

import { customInput } from "../customFields/customInput/customInput";

let LoginForm = props => {
    const { handleSubmit, postLoginSubmit } = props;

    const submit = value => {
        postLoginSubmit(value);
    };

    return (
        <form className="form" onSubmit={handleSubmit(submit)}>
            <div>
                <Field name="email" component={customInput} type="email" id="email" label="E-mail"/>
            </div>
            <div>
                <Field name="password" component={customInput} type="password" id="password" label="Password"/>
            </div>
            <button type="submit" className="btn">Sign in</button>
        </form>
        )
};

LoginForm = reduxForm({
    form: 'login'
})(LoginForm)

export default LoginForm