import React from 'react'
import { Field, reduxForm } from 'redux-form';

import './registrationForm.scss';

import { customInput } from "../customFields/customInput/customInput";

let RegistrationForm = props => {
    const { handleSubmit, postCheckInSubmit } = props;

    const submit = value => {
        console.log(value);        
        postCheckInSubmit(value);
    };

    return (
        <form className="form" onSubmit={handleSubmit(submit)}>
            <div>
                <Field name="name" component={customInput} type="text" id="name" label="Full name"/>
            </div>
            <div className="reg-radio">
                <div className="radio-label">
                    <Field name="sex" component="input" type="radio" id="male" value="male" hidden/>
                    <label htmlFor="male">male</label>
                </div>

                <div className="radio-label">
                    <Field name="sex" component="input" type="radio" id="female" value="female" hidden/>
                    <label htmlFor="female">female</label>
                </div>
            </div>
            <div>
                <Field name="phone" component={customInput} type="phone" id="phone" label="Phone"/>
            </div>
            <div>
                <Field name="email" component={customInput} type="email" id="email" label="E-mail"/>
            </div>
            <div>
                <Field name="password" component={customInput} type="password" id="password" label="Password"/>
            </div>
            <div>
                <Field name="confirmPassword" component={customInput} type="password" id="confirmPassword" label="Confirm Password"/>
            </div>
            
            <button type="submit" className="btn">Check in</button>
        </form>
        )
};

RegistrationForm = reduxForm({
    form: 'registration'
})(RegistrationForm)

export default RegistrationForm