import React, { Component } from "react";
import { connect } from "react-redux";
// import * as actions from "../../actions/photogalaryActions";
import {getEvents, getEventByTitle} from "../../actions/adminMainPageActions";
import {getRegistredUsers} from "../../actions/adminResultsActions";
import AdminHeader from "../../components/adminHeader/adminHeader";
import ResultsForm from "../../components/adminResults/adminResultsForm";
import ConfirmationMessage from "../../components/confirmationMessage/confirmationMessage";

class AdminResultstPage extends Component {
    state = { 
        confirmationMessageFlag: false
     };

     componentDidMount() {
        this.props.getEvents();
        // this.props.getRegistredUsers()
    }

    // showConfirmationMessage = () => {
    //     this.setState({confirmationMessageFlag: true })
    //     document.location.reload(true);
    // };
    // closeConfirmationMessage = () => {
    //     this.setState({confirmationMessageFlag: false })
    // };

    onChangeTypeHandler = e => {
        const { value } = e.target;
        this.props.getEvents(value)
        console.log('onChangeTypeHandler', value)
    };

    onChangeTitleHandler = e => {
        const { value } = e.target;
        this.props.getEventByTitle(value).then((res) => {
            this.props.getRegistredUsers(res.payload.data.events[0]._id)
        })
        // console.log('titile eventList', this.props.eventList)
        // this.props.getRegistredUsers(this.props.eventList_)
        // console.log('onChangeTitleHandler', value)
    };

    render() {
        const {
            eventTypes,
            eventList,
            // eventByTitle,
            eventusers,
            // postPhotogalary,
        } = this.props

        console.log('page props', this.props)
        // console.log('eventList', eventList)
        // console.log('gallery', this.props.gallery)

		// console.log("eventTypes", this.state.eventTypes );
		return (
            <>
                <AdminHeader />
                <div className="results-form">
                    <div className="results-form__content">
                        <h2 className="results-form__form-title">RESULTS</h2>
                        {/* <PhotogalaryForm 
                            eventTypes={eventTypes} 
                            eventList={eventList} 
                            submitHandler = {postPhotogalary}
                        /> */}
                        <ResultsForm 
                            eventTypes={eventTypes}
                            eventList={eventList}
                            // eventByTitle ={eventByTitle}
                            eventusers={eventusers}
                            onChangeTypeHandler = {this.onChangeTypeHandler}
                            onChangeTitleHandler = {this.onChangeTitleHandler}
                        />
                    </div>
                    
                    {this.state.confirmationMessageFlag && 
                        <ConfirmationMessage closeMessage = {this.closeConfirmationMessage}>
                            <div className = "text">Results have beed added.</div>
                        </ConfirmationMessage >}
                </div>
            </>
		);
	}
}

const mapStateToProps = state => ({
    eventList: state.adminMainPageReducer.eventList,
    eventByTitle: state.adminMainPageReducer.eventByTitle,
    eventTypes: state.adminMainPageReducer.eventTypes,
    eventusers: state.adminResultsReduser.eventusers,
    // eventFormInitialValue: state.adminMainPageReducer.eventFormInitialValue,
    addPhotogalaryInitialValue: state.photogalaryReducer.addPhotogalaryInitialValue,
    // gallery: state.photogalaryReducer.gallery
});

export default connect(
    mapStateToProps,
    {getEvents, getEventByTitle, getRegistredUsers}
)(AdminResultstPage);