import React from 'react';
import { connect } from "react-redux";
import { Link } from "react-router-dom";

import { postCheckInSubmit } from "../../actions/registration";

import './registration-page.scss';

import RegistrationForm from '../../components/registration-form/RegistrationForm';

export class Login extends React.Component {
    render() {
        const { message } = this.props;

        return (
            <div className="reg-page">
                <div className="form-reg">
                    {
                        message === "User already exist" && <h3>{message}!</h3>
                    }
                    <RegistrationForm postCheckInSubmit={this.props.postCheckInSubmit}/>
                    <p className="form-quest">You have an account? <Link to="/login">Login now</Link></p>
                </div>
            </div>
        )
    }
}

const mapStateToProps = state => {
    return {
        message: state.registration.message
    };
};

export default connect(
    mapStateToProps,
    { postCheckInSubmit }
)(Login);